#pragma once

#include <yandex/maps/wiki/common/yt.h>
#include "assignment.h"
#include <optional>

namespace maps::wiki::toloka_downloader {

class YtRow
{
public:
    explicit YtRow(const NYT::TNode& row)
        : row_(row)
    {}

    std::optional<Assignment> createAssignment() const;

    bool loadAssignmentData(Assignment& assignment) const;

private:
    const NYT::TNode& row_;
};

} // namespace maps::wiki::toloka_downloader
